Name:           perl-RT-Extension-MergeUsers
Version:        1.11
Release:        1%{?dist}
Summary:        Merges two users into the same effective user
License:        GPL-1.0-or-later
URL:            https://metacpan.org/dist/RT-Extension-MergeUsers
Source0:        http://www.cpan.org/authors/id/B/BP/BPS/RT-Extension-MergeUsers-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.3
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(FindBin)
BuildRequires:	rt
Requires:	rt

%description
This RT extension adds a "Merge Users" box to the User Administration page,
which allows you to merge the user you are currently viewing with another
user on your RT instance.

%prep
%setup -q -n RT-Extension-MergeUsers-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT INSTALLVENDORLIB=%{perl_vendorlib}
mkdir $RPM_BUILD_ROOT%{_bindir}
cd bin
for i in *.in; do
	sed -e 's|^use lib .*||' $i > $RPM_BUILD_ROOT%{_bindir}/${i%.in}
	chmod a+rx $RPM_BUILD_ROOT%{_bindir}/${i%.in}
done
cd ..
mkdir -p $RPM_BUILD_ROOT%{_datadir}/rt
cp -ar html $RPM_BUILD_ROOT%{_datadir}/rt
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%license 
%{perl_vendorlib}/*
%{_bindir}/rt*
%{_mandir}/man3/*
%dir %{_datadir}/rt/html/Callbacks
%{_datadir}/rt/html/Callbacks/RT-Extension-MergeUsers

%changelog
* Tue Jun 10 2025 Josko Plazonic <plazonic@princeton.edu> 1.11-1
- Specfile autogenerated by cpanspec 1.78.
